Page 3 of 11 FirstFirst 12345 ... LastLast
Results 21 to 30 of 109

Thread: Ubuntu Gets Another ATI Catalyst Driver Handout

  1. #21
    Join Date
    Aug 2007
    Posts
    437

    Default

    Come on people stop torturing yourself!

    Let's all keep focus on OSS Radeon driver and never ever install this crappy fglrx again. It's been several years and still crap.

    For me its either OSS Radeon or Binary Nvidia, period.

  2. #22
    Join Date
    Aug 2007
    Posts
    437

    Default

    Come on people stop torturing yourself!

    Let's all keep focus on OSS Radeon driver and never ever install this crappy fglrx again. It's been several years and still crap.

    I own a FirePRO V8750, all 3D related stuff (CAD, Gaming) I do in Windows 7. In Ubuntu Karmic, with 2.6.33 kernel the OSS driver works just fine, with Compiz, XV, EXA all fluid. The only down side is v-sync and I am totally happy about the OSS driver.

    For me its either OSS Radeon or Binary Nvidia, period.

  3. #23
    Join Date
    Jul 2008
    Posts
    565

    Default

    Quote Originally Posted by FunkyRider View Post
    Come on people stop torturing yourself!

    Let's all keep focus on OSS Radeon driver and never ever install this crappy fglrx again. It's been several years and still crap.

    I own a FirePRO V8750, all 3D related stuff (CAD, Gaming) I do in Windows 7. In Ubuntu Karmic, with 2.6.33 kernel the OSS driver works just fine, with Compiz, XV, EXA all fluid. The only down side is v-sync and I am totally happy about the OSS driver.

    For me its either OSS Radeon or Binary Nvidia, period.
    Your mom is open source.

    Sorry, but no, I agree w/ u.

    I'm very interested in how the latest AMD OSS driver(s) is/are doing vs. fglrx.

  4. #24
    Join Date
    Dec 2009
    Location
    Greece
    Posts
    351

    Default

    Could someone explain to me the reason AMD is not able to support newer Xservers and kernels like nvidia does? I mean the real reason, not some BS excuse. I simply cannot understand why they are doing this. I own an ATI 3870 and since i want to use Arch, i am restricted to the opensource driver(git). I do not want to install this crappy distro called Ubuntu, whose only puprose is easy install for n00bs, just to get proper 3d for a GPU i paid 210 euros.

    I seriously doubt i will buy again amd gpus in the near future, and this is a pitty since i had a nice gaming experience using my gpu on windows, and i am pleased by amd hardware in general.

  5. #25
    Join Date
    Mar 2009
    Location
    Croatia
    Posts
    83

    Default

    I'm playing HON right now with that driver but after the clean install.The problem with every release is that it always screws up Blender.For some reason if I apply back-clear patch I can't click menus and all movements in 3D mode in Blender become corrupted.Only thing that helps is if I turn off composition.Doesn't matter if it's metacity,mutter or compiz,but then I have to turn off docky too and all videos on youtube becomes somehow unmatchable because some kind of white lines.For the life of me it's always something.Other than that every game works. :/

  6. #26
    Join Date
    Aug 2007
    Posts
    6,598

    Default

    @bridgman

    As you might not know, the orig.tar.gz does NOT contain everything from the normal installer, but as the driver is already public why don't put it onto the normal ati page? Maybe as hotfix driver or whatever so that others could use it more easyly.

  7. #27
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,285

    Default

    Kano; agreed. I will ask.

  8. #28
    Join Date
    Mar 2010
    Posts
    27

    Default

    So I installed those drivers and I ended with black screen at startup. Using live cd, I already tried removing everything with "fglrx" in its name, and few "ati" folders, but it didn't changed nothing. Then I fought, deleting xorg.conf would be a good idea, but I was wrong.

    How do I fix broken ATI drivers ?

  9. #29
    Join Date
    Jan 2009
    Posts
    515

    Default

    This driver isn't working for me neither.
    It complains about a missing libfglrxdrm.so, but that file is indeed installed?

    Af the driver stating libfglrxdrm.so is missing, I get a complete crash of xorg and a backtrace.

  10. #30
    Join Date
    Aug 2007
    Posts
    6,598

    Default

    @yaji
    Maybe you manage that with a hd5 card in live mode and U - very unlikely that you can unload the kms drivers correctly however. For Kanotix it often works live even with other cards using
    Code:
    sudo -i
    update-scripts-kanotix.sh
    install-fglrx-debian.sh

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •